com.brightcove.player.model

## Class Video.Fields

- java.lang.Object
- - com.brightcove.player.model.Video.Fields

- Enclosing class:
    Video

      public static class Video.Fields
      extends java.lang.Object

  Provides the list of known field names that can appear in the properties Map.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CAPTION_SOURCES` The list of caption sources for this video.
    `static java.lang.String` | `CONTENT_ID` The content id, may be empty
    `static java.lang.String` | `CUSTOM_FIELDS` The custom fields collection
    `static java.lang.String` | `DESCRIPTION` The video's short description
    `static java.lang.String` | `DURATION` Deprecated.
    `static java.lang.String` | `DURATION_LONG` Duration of the video in milliseconds
    `static java.lang.String` | `ERRORS` The list of `CatalogError`s for this video.
    `static java.lang.String` | `HEADERS` The HTTP headers to be used with each Source URL.
    `static java.lang.String` | `ID` Primary identifier for this video
    `static java.lang.String` | `LONG_DESCRIPTION` The video's long description
    `static java.lang.String` | `NAME` The video's display name
    `static java.lang.String` | `ODRM_PLAYBACK_ALLOWED` The name of the property that specifies whether the video can be stored locally for offline playback.
    `static java.lang.String` | `POSTER_SOURCES` The list of poster sources for this video.
    `static java.lang.String` | `PREVIEW_THUMBNAIL_SOURCES` The list of preview thumbnail sources for this video.
    `static java.lang.String` | `PROJECTION_FORMAT` The projection format for this video.
    `static java.lang.String` | `PUBLISHER_ID` The publisher id, may be empty
    `static java.lang.String` | `REFERENCE_ID` Identifier used by external system for this video
    `static java.lang.String` | `SELECTED_AUDIO_LABEL` The current selected audio track language
    `static java.lang.String` | `SELECTED_TEXT_LABEL` The current selected text track (caption/subtitle) language locale
    `static java.lang.String` | `SELECTED_TEXT_LOCALE` The current selected text track (caption/subtitle) language locale
    `static java.lang.String` | `SHORT_DESCRIPTION` Deprecated. For short description, use just `DESCRIPTION`
    `static java.lang.String` | `STILL_IMAGE_URI` A `URI` of the still image for this video
    `static java.lang.String` | `STILL_IMAGE_URI_ERROR` The exception returned by LoadImageTask class when a still image was not downloaded
    `static java.lang.String` | `TEXT_LANGUAGES` The Map (language, label) of the captions languages for the current video
    `static java.lang.String` | `THUMBNAIL` The string path of the thumbnail for this video
    `static java.lang.String` | `THUMBNAIL_SOURCES` The list of thumbnail sources for this video.
    `static java.lang.String` | `WIDEVINE_HEADERS` Optional HTTP headers to be used when making the Widevine license request.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Fields()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final java.lang.String ID

      Primary identifier for this video
      See Also:
        Constant Field Values

    - #### REFERENCE_ID

          public static final java.lang.String REFERENCE_ID

      Identifier used by external system for this video
      See Also:
        Constant Field Values

    - #### NAME

          public static final java.lang.String NAME

      The video's display name
      See Also:
        Constant Field Values

    - #### SHORT_DESCRIPTION

          public static final java.lang.String SHORT_DESCRIPTION

      Deprecated. For short description, use just `DESCRIPTION`
      The video's short description
      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final java.lang.String DESCRIPTION

      The video's short description
      See Also:
        Constant Field Values

    - #### LONG_DESCRIPTION

          public static final java.lang.String LONG_DESCRIPTION

      The video's long description
      See Also:
        Constant Field Values

    - #### STILL_IMAGE_URI

          public static final java.lang.String STILL_IMAGE_URI

      A `URI` of the still image for this video
      See Also:
        Constant Field Values

    - #### STILL_IMAGE_URI_ERROR

          public static final java.lang.String STILL_IMAGE_URI_ERROR

      The exception returned by LoadImageTask class when a still image was not downloaded
      See Also:
        Constant Field Values

    - #### THUMBNAIL

          public static final java.lang.String THUMBNAIL

      The string path of the thumbnail for this video
      See Also:
        Constant Field Values

    - #### DURATION

          @Deprecated
          public static final java.lang.String DURATION

      Deprecated.
      Duration of the video in milliseconds
      See Also:
        Constant Field Values

    - #### DURATION_LONG

          public static final java.lang.String DURATION_LONG

      Duration of the video in milliseconds
      See Also:
        Constant Field Values

    - #### CUSTOM_FIELDS

          public static final java.lang.String CUSTOM_FIELDS

      The custom fields collection
      See Also:
        Constant Field Values

    - #### PUBLISHER_ID

          public static final java.lang.String PUBLISHER_ID

      The publisher id, may be empty
      See Also:
        Constant Field Values

    - #### HEADERS

          public static final java.lang.String HEADERS

      The HTTP headers to be used with each Source URL.
      See Also:
        Constant Field Values

    - #### WIDEVINE_HEADERS

          public static final java.lang.String WIDEVINE_HEADERS

      Optional HTTP headers to be used when making the Widevine license request.
      See Also:
        Constant Field Values

    - #### CONTENT_ID

          public static final java.lang.String CONTENT_ID

      The content id, may be empty
      See Also:
        Constant Field Values

    - #### CAPTION_SOURCES

          public static final java.lang.String CAPTION_SOURCES

      The list of caption sources for this video.
      See Also:
        Constant Field Values

    - #### PREVIEW_THUMBNAIL_SOURCES

          public static final java.lang.String PREVIEW_THUMBNAIL_SOURCES

      The list of preview thumbnail sources for this video.
      See Also:
        Constant Field Values

    - #### PROJECTION_FORMAT

          public static final java.lang.String PROJECTION_FORMAT

      The projection format for this video. See `Video.ProjectionFormat`
      See Also:
        Constant Field Values

    - #### ODRM_PLAYBACK_ALLOWED

          public static final java.lang.String ODRM_PLAYBACK_ALLOWED

      The name of the property that specifies whether the video can be stored locally for offline playback. See `Video.isOfflinePlaybackAllowed()`
      See Also:
        Constant Field Values

    - #### POSTER_SOURCES

          public static final java.lang.String POSTER_SOURCES

      The list of poster sources for this video.
      See Also:
        Constant Field Values

    - #### THUMBNAIL_SOURCES

          public static final java.lang.String THUMBNAIL_SOURCES

      The list of thumbnail sources for this video.
      See Also:
        Constant Field Values

    - #### SELECTED_TEXT_LOCALE

          public static final java.lang.String SELECTED_TEXT_LOCALE

      The current selected text track (caption/subtitle) language locale
      See Also:
        Constant Field Values

    - #### SELECTED_TEXT_LABEL

          public static final java.lang.String SELECTED_TEXT_LABEL

      The current selected text track (caption/subtitle) language locale
      See Also:
        Constant Field Values

    - #### TEXT_LANGUAGES

          public static final java.lang.String TEXT_LANGUAGES

      The Map (language, label) of the captions languages for the current video
      See Also:
        Constant Field Values

    - #### SELECTED_AUDIO_LABEL

          public static final java.lang.String SELECTED_AUDIO_LABEL

      The current selected audio track language
      See Also:
        Constant Field Values

    - #### ERRORS

          public static final java.lang.String ERRORS

      The list of `CatalogError`s for this video.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Fields

          public Fields()